Saltar al contenido principal
POST
/
v1
/
config
/
contexts
/
{contextId}
/
sources
Crear una fuente de conciliación
curl --request POST \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId}/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Primary Bank Account",
  "type": "BANK",
  "config": {}
}
'
{
  "config": {},
  "contextId": "<string>",
  "createdAt": "<string>",
  "id": "<string>",
  "name": "<string>",
  "type": "LEDGER",
  "updatedAt": "<string>"
}

Autorizaciones

Authorization
string
header
requerido

Autenticación con token Bearer (formato: "Bearer {token}")

Encabezados

X-Request-Id
string

Un identificador único para rastrear la solicitud a través de los servicios.

Parámetros de ruta

contextId
string
requerido

El identificador único del contexto de conciliación.

Cuerpo

application/json

Datos para la creación de la fuente

name
string
requerido
Required string length: 1 - 50
Ejemplo:

"Primary Bank Account"

type
enum<string>
requerido

Categoría de fuente de datos para conciliación

Opciones disponibles:
LEDGER,
BANK,
GATEWAY,
CUSTOM
Ejemplo:

"BANK"

config
object

Respuesta

Fuente creada exitosamente

config
object
contextId
string
createdAt
string
id
string
name
string
type
enum<string>

Categoría de fuente de datos para conciliación

Opciones disponibles:
LEDGER,
BANK,
GATEWAY,
CUSTOM
updatedAt
string